diff -Nurp '--exclude=.bzr*' tin-2.6.4/doc/TODO tin-2.6.5/doc/TODO
--- tin-2.6.4/doc/TODO	2024-12-22 19:56:49.000000000 +0100
+++ tin-2.6.5/doc/TODO	2025-12-18 20:03:07.819264646 +0100
@@ -15,7 +15,7 @@ o  get_respcode() doesn't handle the 401
    [20100429 Urs Janssen <urs@tin.org>]
 
 o  col_response is a misnomer as the counter doesn't count responses
-   anymore (except on the very first article). The man-page is outdated too.
+   anymore (except on the very first article). The man page is outdated too.
    [20080826 Urs Janssen <urs@tin.org>]
 
 o  unexpected multiline responses confuse tin, e.g.:
@@ -25,7 +25,6 @@ o  unexpected multiline responses confus
    [20050207 Urs Janssen <urs@tin.org>]
 
 o  batch mode has several bugs
-   - -vc could be more verbose (like -vcZ is)
    - -o currently is not a 'batch_mode' option (it may ask questions)
    [Urs Janssen <urs@tin.org>]
 
@@ -41,25 +40,17 @@ o  add version number to other config-fi
    used (wildmat or regexp (or TRE))
    [Urs Janssen <urs@tin.org>]
 
-o  overview file caching code is over-complex
-   - cache the original overview info instead of rebuilding it from
-     the processed (decoded etc.) data, no matter if it's broken (e.g.
-     contains raw 8 bit data) as we have to deal with that anyway. if there
-     are no original overviews, cache the original data from the postings
-     headers (after unfolding and tab removal).
-   - Add docs to explain how to create system-wide overviews
+o  Add docs to explain how to create system-wide overviews
 
 o  iso2asc conversion is missing for 'internal' strings (e.g. 'M'enu)
+   (eg. via _()/P_() beening a wrapper abround *gettext() with additional
+    if (iso2asc_supported >= 0) process_charsets(..., FALSE))
    [20020319 Urs Janssen <urs@tin.org>]
 
 o  comments in attributes get lost (we need to do something like we do for
    the filter file)
    [20080425 Urs Janssen <urs@tin.org>]
 
-o  if falling back to HEAD/NEXT ([X]OVER not working) tinrc.getart_limit
-   isn't honored
-   [20090112 Urs Janssen <urs@tin.org>]
-
 o  the keys GroupToggleSubjDisplay / GROUP_TOGGLE_SUBJECT_DISPLAY and
    ThreadToggleSubjDisplay / THREAD_TOGGLE_SUBJECT_DISPLAY are misnamed,
    as they toggle the display of the sender address, not the subject.
@@ -67,10 +58,13 @@ o  the keys GroupToggleSubjDisplay / GRO
 
 o  the key ToggleHelpDisplay / GLOBAL_TOGGLE_HELP_DISPLAY is misnamed
    (like txt_help_global_toggle_mini_help, but at least text now is
-   updated) wrong as it toggles tinrc.beginner_level which also controls
+   updated) as it toggles tinrc.beginner_level which also controls
    displaying the posting etiquette
    [20210106 Urs Janssen <urs@tin.org>]
 
+o  the literal IPv6 with embedded IPv4 addresses part in URL_REGEX is buggy
+   and does not catch all valid combinations
+
 Pager Problems
 --------------
 
@@ -94,25 +88,26 @@ o  mailers other than sendmail (f.e. mut
 
 New features
 ------------
-o  add code for more TLS/SSL libraries (wolfSSL, mbed TLS, BearSSL, MatrixSSL,
+o  add code for more TLS/SSL libraries, e.g.
+   wolfSSL <https://github.com/wolfSSL/wolfssl>,
+   mbed TLS <https://github.com/Mbed-TLS/mbedtls>, BearSSL, MatrixSSL,
    axTLS, ...)
 
 o  configure check for OpenSSL currently depends on pkg-config
 
 o  with -T and an expired cert we could try to give more info then just
-   "certificate has expired" and then quitting, e.g. "was valid till ... "
-   or "not yet valid ..."  with the corresponding dates (and the current
+   "certificate has expired" and then quitting, e.g. "was valid till ..."
+   or "not yet valid ..." with the corresponding dates (and the current
    date); with -k we could emphasise the fact on connect.
+   (done for 'J' ConnectionInfo-page)
 
 o  with -T and hostname mismatch (OpenSSL: X509_V_ERR_HOSTNAME_MISMATCH)
    we could give more info than just "TLS handshake failed: hostname mismatch"
    (show CN (vs. used hostname)); with -k we could mention the mismatch on
    the 'J' ConnectionInfo-page.
 
-o  add configure check and code for libdeflate
-   <https://github.com/ebiggers/libdeflate> (if zlib can't be found).
-
-o  add possibility to dump the current key mapping to a file
+o  add possibility to dump the current key mapping to a file or even
+   add a keymap-menu to see and change the mapping from inside tin.
 
 o  make the group status flag (moderated, new, bogus, ...) configurable
    like the thread and article flag (select.c:build_gline(%f))
@@ -126,12 +121,9 @@ o  add configure check for cl_clear_secr
 o  update included libcanlock to >= 3.3.1
    [20211024 Urs Janssen <urs@tin.org>]
 
-o  allow per server cache_overview_files, compress_overview_files setting via
-   serverrc.
-   [20180215 Urs Janssen <urs@tin.org>]
-
-o  if we extend serverrc it should also get some 'M'enu.
-   [20190205 Urs Janssen <urs@tin.org>]
+o  default_post_newsgroups, default_repost_group may hold groups not valid
+   on the current server, these are candidates to move to serverrc.
+   strip_newsrc may also be a candidate
 
 o  implement SAVE_APPEND_FILE_ALL ('A') and SAVE_OVERWRITE_ALL ('O') keys
    which just ask once if file(s) already exist (open_save_filename()).
@@ -147,8 +139,9 @@ o  allow to cancel piping / saving multi
    current one
    [20160409 Urs Janssen <urs@tin.org>]
 
-o  add per scope getart_limit via attributes
-   [20131114 Urs Janssen <urs@tin.org>]
+o  add per scope render_bidi via attributes
+
+o  add per scope hideline_regex via attributes e.g. to exclude *ascii-art
 
 o  add support for %A (Address), %C (Firstname), %N (Fullname) to
    group_format and thread_format
@@ -168,15 +161,16 @@ o  add nntp_default_server to tin.defaul
    file, if it starts with $ it is read from the referenced variable.
    [20101118 Urs Janssen <urs@tin.org>]
 
+o  tin.defaults allows to preset mm_charset which will preset
+   mm_charset without charset conversion but mm_network_charset
+   if charset conversion is available. This is useful (and matches
+   $MM_CHARSET) but not emphasised in tin(5).
+
 o  the old space_goto_next_article=ON && space_goto_next_unread=OFF is not
    possible with the new goto_next_unread rc-var, we need something like
    an additional goto_next_read rc-var
    [20101101 Urs Janssen <urs@tin.org>]
 
-o  add DEFAULT_SIGDASHES_REGEX and related 'M'enu-entry for signature
-   detection in cook.c
-   [20080925 Urs Janssen <urs@tin.org>]
-
 o  allow remapping of the 'z' abort-key (lynx style) in wait_for_input().
 
 o  add more user defined screen layout at different levels (e.g. posting
@@ -254,9 +248,8 @@ o  add $LOCKEXT support
 
 o  add xxencode (<http://www.debath.co.uk/code/xxencode.c>),
    base224 (<http://b-news.sf.net/>),
-   base91 (<http://base91.sourceforge.net/>) and yenc (hide/decode-)support
-   (see <http://yydecode.sourceforge.net/> for readable code, ignore
-   the crap on <http://www.yenc.org/>). also check
+   base91 (<http://base91.sourceforge.net/>) and yenc decode-support
+   (see <http://yydecode.sourceforge.net/> for readable code. also check
    <http://www.exit109.com/~jeremy/news/binaries/> which might replace yenc
    etc.pp. some day.
    [20020216 Urs Janssen <urs@tin.org>]
@@ -323,18 +316,10 @@ o  add cmd-line/tinrc-switch to fetch on
    [-G is a start]
    allow setting a per group limit via attributes
 
-o  check if server supports 'LIST MODERATORS' and/or 'LIST DISTRIB.PATS' and
+o  check if server supports 'LIST MODERATORS' and
    if it does parse the output so it can be shown to the user. (e.g. when
    posting to a moderated group, show the moderators mail-address, but still
-   leave the mailing to the server; if the group has limited distribution
-   inform the user, ...)
-
-o  if using "-n" command-line switch you can't subscribe to newsgroups not
-   present in your newsrc - a simple check against the server
-   (e.g. GROUP $newsgroup or if !NNTP try to stat the dir) would help.
-   if the server understands "LIST ACTIVE grp" we could also get the group's
-   attribute (moderated, etc.) and with "LIST NEWSGROUPS grp" it's
-   description.
+   leave the mailing to the server)
 
 o  item_by_item_etiquette_warnings [compile-time?]
    (e.g. enable x-posts without f'up warning, disable long-sig warning)
@@ -356,12 +341,17 @@ o  pgpverify invocation with a single ke
 
 o  pgp-{6,7} support
 
-o  use runtime config for pgp instead of hardcoded values depending on
-   compile time detection, i.e. have tinrc vars for pgp_decode, pgp_verify, ...
-   like in mutt and/or
+o  use runtime config for pgp instead of hardcoded values depending on compile
+   time detection, i.e. have tinrc vars for pgp_decode, pgp_verify, ...
+   like in mutt (and use fork()/exec*() instead of system() where %F is
+   replaced (wordexp(3)-like (ulBuildArgv()-but quote aware)) with the
+   filename (and %U by the user); e.g.
+      pgp_verify=gpg --no-batch --verify %F
+   -> execlp("gpg", "gpg", "--no-batch", "--verify", artfile, NULL);
+   ) and/or
 
-o  add check for GPGME (<http://www.gnupg.org/related_software/gpgme/>) and if
-   found use it for pgp actions.
+o  add check for GPGME (<http://www.gnupg.org/related_software/gpgme/>) and
+   if found use it for pgp actions.
 
 o  add feature Cc:
 
@@ -374,6 +364,10 @@ o  add new key which tags articles based
    GROUP_MARK_UNSELECTED_ARTICLES_READ)
    [20051110 Urs Janssen <urs@tin.org>]
 
+o  Additions to the page menu:
+     key to toggle hideline_regex on/off (e.g. '{' or '}') as toggle-raw
+     may not help to show original article (e.g. base64 encoded article).
+
 o  Additions to the thread menu:
      ']'  (GLOBAL_QUICK_FILTER_KILL)
      '['  (GLOBAL_QUICK_FILTER_SELECT)
@@ -398,6 +392,7 @@ o  Additions to the group menu:
      'V'  (View/pipe/save multimedia attachments)
      'Y'  (check for new articles in group)
      '%'  (toggle rot13 encoding of screen content)
+     key to search in (raw) article headers (and body).
 
 o  Additions to the select menu:
      '%'  (toggle rot13 encoding of screen content)
@@ -417,7 +412,6 @@ o  Add to the attachment menu ('V'):
      'x'  repost current attachment to another group
      '%'  (toggle rot13 encoding of screen content)
      'M'  (GLOBAL_OPTION_MENU)
-     'J'  (GLOBAL_CONNECTION_INFO)
      '&'  (GLOBAL_TOGGLE_COLOR)
      'I'  (GLOBAL_TOGGLE_INVERSE_VIDEO)
      '\'' (PAGE_ARTICLE_INFO) (the key would then be miss-named, but 'V'
@@ -431,6 +425,9 @@ o  Add to the URL Menu ('U'):
      'M'  (GLOBAL_OPTION_MENU)
      'J'  (GLOBAL_CONNECTION_INFO)
 
+o  Add to the Options Menu ('M'):
+     'I'  (GLOBAL_TOGGLE_INVERSE_VIDEO)
+
 o  integrate multi-part tagging with regular tagging, eg.
    "This article appears to have multi-parts, try and find them (y/n)?"
 
@@ -467,6 +464,7 @@ o  add check for liblzma/libbzip2/zlib (
     <http://lzip.nongnu.org/lzlib.html>, <http://code.google.com/p/lz4/>,
     <http://freecode.com/projects/long-range-zip>,
     <https://github.com/facebook/zstd>,
+    <https://github.com/ebiggers/libdeflate>,
     <https://github.com/lzfse/lzfse>) and add an option to write/read
     compressed local overviews (done for zlib).
    the libs might also be used for post-processing articles.
@@ -482,6 +480,7 @@ o  rewrite/cleanup all the debugging cod
    [Urs Janssen <urs@tin.org>]
 
 o  Add 'M'enu option to define chars for utf8_graphics.
+   (and rename option to unicode_graphics or the like)
 
 o  allow user defined mouse button bindings (like keymap).
 
@@ -525,28 +524,28 @@ o  posting to a binary group should warn
 o  when posting to a group containing uppercase-letters: bring up a
    warning: "Newsgroup-names should be all lowercase, correct it? (Y/n)"
 
-o  Enhance -n to take newsgroup name as argument and use group_get_art_info()
-   to allow posting to groups other than those in newsrc.
-
 o  add config option for (external) viewer to show postings stored in
-   keep_posted_articles_file
+   posted_articles_file
    [20021003 Michael Gerhards <HM-Gerhards@uni.de>]
 
 Filtering enhancements
 ----------------------
-o  add Xref + Path filter to the filter-menu
-
 o  add used filter-type to filter file or filter rule or use different
-   filter files for wildmat/regexp
-
-o  add command: mark all articles older/newer than <date> (or <days>) as
-   read (useful when subscribing to a new group with high-traffic...)
+   filter files for wildmat/regexp; or at least check the filter file
+   before usage and inform the user if its format seems not to match
+   the wildcard-tinrc entry, e.g. read the filter-file (count the
+   rules and if any ignore everything but the lines which take a regexp
+   or wildmat (subj|from|msgid(?:|_last|_only)|refs_only|xref|path) and
+   try to compile_regex() it - if there are errors like
+   PCRE2_ERROR_QUANTIFIER_INVALID warn the user if wildcard-tinrc is
+   regexp ("looks like a wildmat filter file, but ... q)uit r)rename ...).
 
 o  fix kill/hot mechanism so that it is possible to match articles on
    arbitrary headers
    [done for Path, Dennis]
 
 o  don't strip "Re: " out of the subject before applying the filter on it
+   (note: we now have the raw subject in subject_raw)
 
 o  allow any given amount of days in default_filter_days not only
    {1, 2, 4} * 28 days
@@ -584,8 +583,8 @@ o  add missing mailcap (RFC 1524) featur
 
 o  add BiDi handling to page header
 
-o  add trn like $HIDELINE tinrc-option to skip lines matching the given
-   regex when displaying (pipeing, printing, saving or quoting) an article.
+o  possibility to recook the article with a manually supplied charset
+   (e.g. to override a false guess or the like)
 
 Internal Changes
 ----------------
@@ -593,9 +592,9 @@ o  check remaining fopen(..., "r") calls
    tin_fopen() to get some default error-handling and if not put a
    comment to them.
 
-o  in ENABLE_NLS case replace PLURAL() macro with proper use of
-   ngettext(3) (if found by configure) to support languages with
-   more than one plural form.
+o  add configure check for (missing) ngettext(3) (see P_()/NP_() in tin.h).
+   fix the "untranslatable" strings and use full sentences instead.
+   (grep for "plural-forms")
    [20150113 Urs Janssen <urs@tin.org>]
 
 o  rename disable_gnksa_domain_check to enable_gnksa_domain_check and
@@ -625,10 +624,6 @@ o  rewrite auth.c
    - it is overcomplex and the current codeflow has issues (e.g. prompts
      for user/pass if not in newsauth even for e.g. SASL ANONYMOUS).
    - sasl-libs likely have callbacks, make use of them!
-   - add config option (per server?) to force the use of SASL or USER/PASS
-     only (or disallow SASL (mech list?) or USER/PASS):
-     - I saw at least one bigger server which announced SASL (compiled in)
-       but did not support it (intentional lacking local config!).
 
 o  fix aclocal.m4:CF_FUNC_SYSTEM and/or misc.c:invoke_cmd() that
    --enable-broken-system-fix/IGNORE_SYSTEM_STATUS isn't needed anymore.
@@ -640,8 +635,8 @@ o  move several (server related) files i
       ${TIN_INDEX_NEWSDIR-"${TIN_HOMEDIR-"$HOME"}/.tin"}${NNTPSERVER+"/$NNTPSERVER"}/.news/
    [20050807 Urs Janssen <urs@tin.org>]
 
-o  remove untranslatable constructs like txt_prefix_*, txt_marked_as_*,
-   txt_reading_*, ...
+o  remove untranslatable constructs like txt_saved_to, txt_saved_to_range,
+   txt_mark_arts_read, txt_mark_art_read, ...
    [20050413 Urs Janssen <urs@tin.org>]
 
 o  keys which could be renamed/merged:
@@ -660,13 +655,10 @@ o  read_overview() calls eat_re() which
    which might not be what ppl. expect and eat_re() is the only function
    which needs the 'regex' overhead in batch_mode... (see also the note
    about "Re: "-stripping at "Filtering enhancements").
+   note: we now have article->subject_raw (no re-stripping, but also no
+   mime-decoding!), which we may use instead (after mime-decoding).
    [20050225 Urs Janssen <urs@tin.org>]
 
-o  use new_nntp_command() instead of nntp_command() in the rest of the
-   code (where useful; if we do a global change, rename it to
-   nntp_command()). see check_extensions() for a sample usage.
-   [20050211 Urs Janssen <urs@tin.org>]
-
 o  replace various occurrence of "US-ASCII" by DEFAULT(_MIME)_CHARSET
    and define that to "US-ASCII" (to make 'updates' easier). See also
    RFC 6657 and e.g. RFC 7111 (text/cvs now defaults to UTF-8).
@@ -703,14 +695,15 @@ o  check where iKeyAbort should be used
    [Urs Janssen <urs@tin.org>]
 
 o  close potential security holes:
-   - remove fixed length buffers (find_nov_file(), print_from(),
-     quote_space_to_dash(), escape_shell_meta(),
-     build_messageid(), get_secret(), get_host_name(), get_domain_name(),
-     get_fqdn(), get_user_name(), get_full_name(), build_sender(), ...)
+   - remove fixed length buffers (find_nov_file(), quote_space_to_dash(),
+     escape_shell_meta(), build_messageid(), get_secret(), get_host_name(),
+     get_domain_name(), get_fqdn(), get_full_name(), build_sender(), ...)
    - change all system()/popen() calls to fork() and exec() calls
    - check where we should use snprintf() instead of sprintf()
-   - check where we should use strncat() instead of strcat()
-   - check where we should use strncpy() instead of strcpy()
+   - check where we should use strncat() (or append_to_string()) instead of
+                               strcat()
+   - check where we should use strscpy() (configure check needed) or
+                               strncpy() instead of strcpy()
    - check possible races with access()/link()/rename()/stat()/
                                unlink()/chdir()/fopen()/fstat()/open()/
                                opendir()/t_open()
@@ -736,6 +729,7 @@ o  check code with
    clang-analyzer (<http://clang-analyzer.llvm.org/>),
    infer (<http://fbinfer.com/>)
    Splint (LCLint) <http://www.splint.org/>,
+   IKOS <https://github.com/NASA-SW-VnV/ikos/tree/master>,
    zzuf (<http://caca.zoy.org/wiki/zzuf>) and
    aflnet (<https://github.com/aflnet/aflnet>)
 
@@ -748,9 +742,6 @@ o  rewrite code to use INEWS_PATH instea
 o  remove built in path of external commands (metamail, ispell, ...)
    [for ispell $ISPELL can be used to override systempath and progname]
 
-o  add configure-switch for DISABLE_PIPELINING
-   [20090612 Urs Janssen <urs@tin.org>]
-
 o  mask inline pgp signature/key block like we do for uu-sections
    [20090722 Urs Janssen <urs@tin.org>]
 
@@ -770,6 +761,8 @@ o  as rename_file() and copy_fp() now re
 o  without %G and %P expansion, we could read mailcaps only once and keep
    the config in memory
 
+o  tin.h MIME_ENCODING_* and rfc2046.h ENCODING_* are not aligned
+
 Unicode
 -------
 o  make mm_network_charset an "option_list" to avoid junk input or
@@ -817,11 +810,18 @@ o  check for wcsftime() and if found use
    least in page.c).
    [20130129 Urs Janssen <urs@tin.org>]
 
-o  BiDi handling to select-, group-, thread-level
+o  BiDi handling to select-, group-, thread-level (ui-layout expects
+   left-to-right text).
 
 o  check for rpmatch(3) and if found use in yes/no questions,
    prompt.c:prompt_yn()?
 
+o  check for libunibreak <https://github.com/adah1972/libunibreak>
+   and make use of it if found? (tinrc.dont_break_words)
+
+o  check for libgrapheme <https://libs.suckless.org/libgrapheme/>
+   and if found use it for char/word-segmentation?
+
 Docs/online help
 ----------------
 o  document the difference between
@@ -843,8 +843,7 @@ o  the online help of GroupMarkUnselArtR
 o  document the different signals/actions
    [20080209 Urs Janssen <urs@tin.org>]
 
-o  review the Spanish, Swedish and Russian translations
-   (es.po, sv.po, ru.po); add/finish missing man-page translation(s).
+o  review the unfinished (man page) translations
 
 o  add installation guide (in html?)
 
@@ -876,18 +875,29 @@ o  the limited pgp support (inline pgp a
    verification or key import but no decryption ...) is nearly undocumented
    in the man page
 
+o  document that -G overrides getart_limit in tinrc but not in attributes
+
+o  document the limits of -G / getart_limit (INT_MIN, INT_MAX)
+
 Not yet classified
 ------------------
-o  configure check for volatile sig_atomic_t and if found use in
-   signal_handler to flag actions to be done; check the flag outside
+o  add. cmd-line option to override/(ignore) the default serverrc?
+
+o  "-w group,list" uses only the first group found in the servers active
+   file to post to
+
+o  tinrc.info_in_last_line has no 'M'enu entry (but a toggle-key at most
+   levels: GLOBAL_TOGGLE_INFO_LAST_LINE)
+
+o  flag actions in signal_handler to be done; check the flag outside
    the signal_handler (where? handle_keypad()?) and do the outstanding
    actions there, like:
    	enum sactions {nothing, write_newsrc, tin_done, ...}
-   	volatile sig_atomic_t pending_saction = nothing;
+   	volatile sig_atomic_t pending_sactions = nothing;
    	/* ... */
    		case SIGUSR2:
-   			pending_saction = write_newsrc;
-   (could fix our SIGUSR2 and SIGTERM issue).
+   			pending_sactions = write_newsrc;
+   (could fix our SIGUSR2 and SIGTERM issue; see SIGWINCH/prompt_list()).
 
 o  add tinrc option to disable charset guessing for group-descriptions
    and MOTD.
@@ -917,19 +927,20 @@ o  verbatim regions can't be nested, sho
 o  allow per group cancel_lock_algo setting via attributes?
    [20170810 Urs Janssen <urs@tin.org>]
 
-o  allow per group cache_overview_files, compress_overview_files setting
-   via attributes?
-   [20180215 Urs Janssen <urs@tin.org>]
-
 o  exit HEAD/NEXT loop on 5xx responses to HEAD? (see
    art.c:open_art_header())
    [20161011 Urs Janssen <urs@tin.org>]
 
 o  motd is only shown/checked for if using nntp, subscriptions is also
-   evaluated if reading from local spool - look for motd[.nnrpd|.innd] in
-   the same dir if not using nntp?
+   evaluated if reading from local spool - look for motd[.nnrpd|.news[|.innd]]
+   in the same dir if not using nntp?
 
-o  follow $LC_COLLATE (e.g. add strxfrm() to subj_comp_*/from_comp_*)?
+o  if reading from local spool, groups which are present in the active
+   but all articles are exired (and thus the group-dir got removed from
+   the spool) are shown as bogus ('D').
+
+o  follow $LC_COLLATE (e.g. add strxfrm()/wcsxfrm()/strcoll()/wcscoll() to
+   subj_comp_*/from_comp_*)?
    [20160421 Urs Janssen <urs@tin.org>]
 
 o  IDNA decode news_headers_to_display?
@@ -1048,9 +1059,14 @@ o  add PGP_INCLUDE_KEY to pgp_mail_keys?
    [20050426 Urs Janssen <urs@tin.org>]
 
 o  trn and perls Net::NNTP::Auth use ~/.nntpauth (format is
-   "^server\s+user\s+password"), shall we also try ~/.nntpauth if we can't
-   find a matching entry in ~/.newsauth? and should we look for
+   /^$server\s+$user\s+$password/), shall we also try ~/.nntpauth if we
+   can't find a matching entry in ~/.newsauth? and should we look for
    ${TIN_HOMEDIR:-"$HOME"}/.tin/.newsauth if ~/.newsauth is not found?
+   What about ~/.authinfo (Gnus; format is .netrc-like:
+   /machine\s+$server\s+ login\s+$user\s+ (?:password\s+$password\s+)?
+    (?:\s+port\s+$port\s+)?(?:force\s+yes\s+)?/x
+   see <https://www.gnu.org/software/emacs/manual/html_node/gnus/NNTP.html>;
+   and note the default-token)?
    [20040128 Urs Janssen <urs@tin.org>]
 
 o  what todo if in a CTE: x-uue the CD: filename differs from the one given
@@ -1093,6 +1109,9 @@ o  configure checks for fdopen(3) and de
    don't have any code guarded with that macro nor any fallback code if not
    found.
 
+o  add check for libmagic <https://www.darwinsys.com/file/> and if
+   found use it to verify given mime-types in attachments
+
 o  add check for libarchive <http://www.libarchive.org/>
    and use for post-processing?
    [20111225 Urs Janssen <urs@tin.org>]
@@ -1106,6 +1125,9 @@ o  add check for libtre and offer TRE as
    <http://laurikari.net/tre/about/>, <https://github.com/laurikari/tre/>
    [20130706 Urs Janssen <urs@tin.org>]
 
+o  add check for libenca <https://github.com/Project-OSS-Revival/enca>
+   as fallback if not USE_ICU_UCSDET?
+
 o  eval $NEWSHOST if $NNTPSERVER is unset (like Net::NNTP(3perl))
    [20141225 Urs Janssen <urs@tin.org>]
 
@@ -1118,3 +1140,23 @@ o  option to {display,warn,hide} article
 o  also check for $NEWS_ORGANIZATION (see lynx(1))?
 
 o  add $MAILCHECK alarm-timer?
+
+o  add configure check for nanosleep(2) and prefer over usleep(3)
+   (curses.c:input_pending())?
+
+o  in case of HAVE_LIB_PCRE2 && HAVE_SETLOCALE && !NO_LOCALE && ENABLE_NLS
+   (and $LC_CTYPE != C/POSIX[.UTF-8]) do we want to (see pcre2api(3)):
+     pcretables = pcre2_maketables_8(NULL);
+     pcreccontext = pcre2_compile_context_create_8(NULL);
+     pcre2_set_character_tables_8(pcreccontext, pcretables);
+     pcre2_compile(..., pcreccontext);
+     pcre2_maketables_free(pcretables);
+   and add PCRE2_UCP options? Do we want do set PCRE2_UCP unconditionally,
+   even though it slows down matching?
+
+o  when saving/decoding articles/attachments use realpath() and
+   warn if the canonical absolute path starts with any of
+   { "/boot/", "/dev/", "/etc/", "/proc/", "/root/", "/sbin/",
+     "/sys/", "/usr/sbin/" /*, ... */ }
+
+o  should NNTP_SERVER_FILE be changeable via configure?
diff -Nurp '--exclude=.bzr*' tin-2.6.4/doc/WHATSNEW tin-2.6.5/doc/WHATSNEW
--- tin-2.6.4/doc/WHATSNEW	2024-12-21 15:29:04.000000000 +0100
+++ tin-2.6.5/doc/WHATSNEW	2025-07-30 13:49:11.480556322 +0200
@@ -5,6 +5,7 @@ New features
 - pcre2 support (configure --with-pcre2-config[=PATH] vs.
   --with-pcre[=PATH])
 - NNTPS support based on libressl/gnuttls/OpenSSL (RFC 8143)
+  with ALPN (RFC 7301)
   (configure --with-nntps[=[libtls|openssl|gnutls]])
 - "COMPRESS DEFLATE" support (RFC 8054)
 - compress_overview_files option
@@ -14,19 +15,26 @@ New features
   suppress_soft_hyphens
 - ConnectionInfo page ('J') incl. TLS connection info and MOTD
 - ArticleInfo page ('\'') for MIME-debugging
+- PageToggleVerbatim (,)
 - ${TIN_HOMEDIR:-"$HOME"}/.tin/$NNTPSERVER${NNTPPORT:+":$NNTPPORT"}/msglog
 - -t timeout cmd.-line option
 - -L <message-id> cmd.-line option
 - -F filter-file cmd.-line option
+- -n cmd.line.grp now also allows to specify a group not present in
+  newsrc yet (same for -nw)
+- 'g'oto group with -n works for group not in newsrc yet
+- 'S'ubscribe pattern with -n may now work for groups not in newsrc yet
+  (local spool with active file and/or RFC 3977 server only)
 - :port suffix in newsauth, newsrctable and -g
 - -[zZMN] now note unsubscribed cmd-line groups
 - cmd. execution via ! for x_body
 - mime encode and fold long header-lines (> 998 octets) if !post_8bit_header
 - post f'up from thread-level ('f' and 'F')
 - configurable display format of attachments
-  (page_mime_format, page_uue_format, attachment_format)
+  (page_mime_format, page_uue_format, page_yenc_format, attachment_format)
 - new option show_art_score (with col_score_neg, col_score_pos)
 - new option dont_break_words
+- new option hideline_regex
 - ranges can be undone
 - REPRODUCIBLE_BUILD define to prevent recoding of __DATE__, __TIME__,
   $CFLAGS, $CPPFLAGS and $LDFLAGS in the binary
@@ -42,10 +50,18 @@ New features
 - allow argument names for -D (case insensitive, comma separated
   list, can be mix with numeric values)
 - URI syntax-check and normalization it with uriNormalizeSyntaxA() if
-  liburiparser was found
+  liburiparser or libcurl was found
 - $LC_NUMERIC for RADIXCHAR (used when showing attachment sizes)
 - allow hex-numbers for cmd.-line switches which take numeric args
-
+- hide_inline_data (was hide_uue) now also hides yenc encoded parts
+  (hide only, no decoding support yet), inline pgp and/or shar
+- hide_inline_data can be set per scope via attributes
+- add_cmd_line_opts and disabled_nntp_cmds in serverrc
+- cache_overview_files and compress_overview_files in serverrc
+- keep_expired_filters to keep expired filter rules
+- serverrc-menu via ConfigServerrcMenu ('s')
+- get distributions from "LIST DISTRIB.PATS" and descriptions from
+  "LIST DISTRIBUTIONS" if available
 
 Changes
 -------
@@ -61,6 +77,14 @@ Changes
   instead of $TMPDIR
 - valid IPv6-addresses in brackets are now allowed in gnksa-filters
 - allow ccTLD .ss, disallow ccTLD .an and .tp
+- if reading via NNTP Message-ID 'L'ookup in group-, thread- and page level
+  now try to find the ID via NNTP if the ID is not in the current group
+- verbatim_handling (tinrc/attributes) has changed from ON/OFF value to NUM
+  value with more options
+- hide_uue (tinrc) has been renamed to hide_inline_data and is now also
+  available in attributes
+- lower 8bit check for Newsgroups, Followup-To and Distribution
+  from error to warning
 
 Retired Features
 ----------------
@@ -68,3 +92,7 @@ Retired Features
 - --with-sum specifying the sum of uue-file got more and more uncommon at
   the end of last century and uue mostly vanished later on ...
 - no longer expands %G and/or %P in $MAILCAPS
+- no longer allow ISO2ASC=6 (CP437 table) as that was the only non
+  to ASCII conversion and should be done with iconv()
+- --enable-broken-listgroup-fix (disable LISTGROUP via serverrc instead)
+- --disable-xhdr-xref (disable XHDR via serverrc instead)
diff -Nurp '--exclude=.bzr*' tin-2.6.4/doc/config-anomalies tin-2.6.5/doc/config-anomalies
--- tin-2.6.4/doc/config-anomalies	2024-08-24 14:37:20.000000000 +0200
+++ tin-2.6.5/doc/config-anomalies	2025-11-28 14:23:57.562557771 +0100
@@ -37,7 +37,6 @@ tinrc variables that should be removed b
 attributes file with scope=*:
 
 savedir
-auto_save
 mark_saved_read
 post_process_type
 post_process_view
@@ -72,13 +71,13 @@ quote_regex3                 *
 strip_re_regex               *
 strip_was_regex              *
 show_signatures
-hide_uue                     *
+hide_inline_data
 news_quote_format
 mail_quote_format            *
 xpost_quote_format           *
 auto_cc_bcc
 default_filter_days          *
-getart_limit                 *
+getart_limit
 recent_time                  *
 mail_address                   from in attributes; should be split into
                                username and address
diff -Nurp '--exclude=.bzr*' tin-2.6.4/doc/keymap.sample tin-2.6.5/doc/keymap.sample
--- tin-2.6.4/doc/keymap.sample	2024-07-06 18:55:48.000000000 +0200
+++ tin-2.6.5/doc/keymap.sample	2025-11-06 14:53:23.977155051 +0100
@@ -51,6 +51,7 @@ MenuFilterSelect		^A
 MenuFilterKill			^K
 MarkFeedRead			^X
 MarkFeedUnread			^W
+MarkAncientArtRead		^E
 
 #####
 
@@ -69,6 +70,7 @@ ConfigSelect			^J	^M
 ConfigLastPage			G
 ConfigNoSave			Q
 ConfigScopeMenu			S
+ConfigServerrcMenu		s
 ConfigFirstPage			g
 ConfigResetAttrib		r
 
@@ -136,7 +138,8 @@ PageToggleTabs			^T
 PageFollowupQuoteHeaders	^W
 PageToggleTex2iso		"
 PageToggleRot			%
-PageToggleUue			(
+PageToggleVerbatim		,
+PageToggleInlineData		(
 PageReveal			)
 PageToggleAllHeaders		*
 PageArticleInfo			'
diff -Nurp '--exclude=.bzr*' tin-2.6.4/doc/tin.defaults tin-2.6.5/doc/tin.defaults
--- tin-2.6.4/doc/tin.defaults	2024-12-24 00:18:40.000000000 +0100
+++ tin-2.6.5/doc/tin.defaults	2025-12-24 00:14:31.842306406 +0100
@@ -1,5 +1,5 @@
 #
-# TIN 2.6.4 - a threaded newsreader
+# TIN 2.6.5 - a threaded newsreader
 #
 # tin.defaults - set some machine specified options
 #                and override compile time defaults
